//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SSTATIC.CPP 

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include "sfx\sstatic.h"

IMPLEMENT_STREAMABLE_FROM_BASE(TSFXStatic, TStatic);

//	constructor for a TSFXStatic object

TSFXStatic::TSFXStatic(TWindow*        parent,
					   int             id,
					   const char far* title,
					   int x, int y, int w, int h,
					   UINT            textLen,
					   TModule*        module)
	:TStatic(parent, id, title, x, y, w, h, textLen, module)
{
}

//	constructor for a TSFXStatic object created from a resource definition

TSFXStatic::TSFXStatic(TWindow* parent,
					   int      resourceId,
					   UINT     textLen,
					   TModule* module)
	:TStatic(parent, resourceId, textLen, module)
{
}

char far*
TSFXStatic::GetClassName()
{
	return "SFXSTATIC";
}

